javax.interceptor

## Interface InvocationContext

-     public interface InvocationContext

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.Object>` | `getContextData()`
    `java.lang.reflect.Method` | `getMethod()`
    `java.lang.Object[]` | `getParameters()`
    `java.lang.Object` | `getTarget()`
    `java.lang.Object` | `proceed()`
    `void` | `setParameters(java.lang.Object[] parameters)`

- - ### Method Detail

    - #### getTarget

          java.lang.Object getTarget()

    - #### getMethod

          java.lang.reflect.Method getMethod()

    - #### getParameters

          java.lang.Object[] getParameters()

    - #### setParameters

          void setParameters(java.lang.Object[] parameters)

    - #### getContextData

          java.util.Map<java.lang.String,java.lang.Object> getContextData()

    - #### proceed

          java.lang.Object proceed()
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`